'use strict';

const path = require('path');
const mri = require('mri');
const build = require('./chunks/build.js');
require('module');
require('upath');
require('chalk');
require('consola');
require('defu');
require('pretty-bytes');
require('jiti');
require('mkdirp');
require('fs/promises');
require('util');
require('rimraf');
require('rollup');
require('@rollup/plugin-commonjs');
require('@rollup/plugin-node-resolve');
require('@rollup/plugin-alias');
require('rollup-plugin-esbuild');
require('rollup-plugin-dts');
require('untyped');
require('untyped/dist/loader/babel');
require('scule');
require('mkdist');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e['default'] : e; }

const mri__default = /*#__PURE__*/_interopDefaultLegacy(mri);

async function main() {
  const args = mri__default(process.argv.splice(2));
  const rootDir = path.resolve(process.cwd(), args._[0] || ".");
  await build.build(rootDir, args.stub).catch((err) => {
    console.error(`Error building ${rootDir}: ${err}`);
    throw err;
  });
}
main().catch((err) => {
  console.error(err);
  process.exit(1);
});
